Error installing gems 0.9.4.. can anybody help?

Sorry guys if it may seem naive… but I went through many tutorials
trying to install the whole framework (ruby + rails to start with) -
and I always run into this problem. Scanned various mailing lists but I
cant find any reference to it… so i gather it’s either VERY stupid or
very rare. Well, basically:

magicrebirth:/usr/local/src/rubygems-0.9.4 magicrebirth$ sudo gem update
–system
Updating RubyGems…
Bulk updating Gem source index for: http://gems.rubyforge.org
ERROR: While executing gem … (Gem::RemoteSourceException)
Error fetching remote gem cache: bad URI(is not URI?): ://:

magicrebirth:/usr/local/src magicrebirth$ gem update
Updating installed gems…
Bulk updating Gem source index for: http://gems.rubyforge.org
ERROR: While executing gem … (Gem::RemoteSourceException)
Error fetching remote gem cache: bad URI(is not URI?): ://:

Im on OSX intel, with the latest (and working) versions of all the
softwares… any hint very very appreciated cause I’d really love to
move the ruby world!

TX, Mik

On Sun, 7 Oct 2007 21:32:53 +0200, Magic Rebirth wrote:

Sorry guys if it may seem naive… but I went through many tutorials
trying to install the whole framework (ruby + rails to start with) -
and I always run into this problem. Scanned various mailing lists but I
cant find any reference to it… so i gather it’s either VERY stupid or
very rare. Well, basically:

I wonder if this is similar to the Standard Gems Problem updating to
0.9.x
where your sources cache is not migrated to the new format? There’s a
file
called /usr/[local/]lib/ruby/gems/1.8/source_cache; delete it and see if
that helps.


Jay L. |
Boston, MA | My character doesn’t like it when they
Faster: jay at jay dot fm | cry or shout or hit.
http://www.jay.fm | - Kristoffer

Jay L. wrote:

On Sun, 7 Oct 2007 21:32:53 +0200, Magic Rebirth wrote:

Sorry guys if it may seem naive… but I went through many tutorials
trying to install the whole framework (ruby + rails to start with) -
and I always run into this problem. Scanned various mailing lists but I
cant find any reference to it… so i gather it’s either VERY stupid or
very rare. Well, basically:

I wonder if this is similar to the Standard Gems Problem updating to
0.9.x
where your sources cache is not migrated to the new format? There’s a
file
called /usr/[local/]lib/ruby/gems/1.8/source_cache; delete it and see if
that helps.

mm thanks but didnt work… i wonder whether the locomotive installation
is the cause of the problem!

magicrebirth:/usr/local/src michelepasin$ gem update
Updating installed gems…
Bulk updating Gem source index for: http://gems.rubyforge.org
ERROR: While executing gem … (Gem::RemoteSourceException)
Error fetching remote gem cache: bad URI(is not URI?): ://:

magicrebirth:/usr/local/src michelepasin$ locate source_cache
/Applications/-Other-Apps/8-Languages-IDEs/Locomotive2/Bundles/rmagickRailsMar2007_i386.locobundle/framework/lib/ruby/gems/1.8/source_cache
/Applications/-Other-Apps/8-Languages-IDEs/Locomotive2/Bundles/standardRailsFeb2007.locobundle/i386/lib/ruby/gems/1.8/source_cache
/Applications/-Other-Apps/8-Languages-IDEs/Locomotive2/Bundles/standardRailsFeb2007.locobundle/powerpc/lib/ruby/gems/1.8/source_cache
magicrebirth:/usr/local/src michelepasin$

On Mon, 8 Oct 2007 23:53:42 +0200, Magic Rebirth wrote:

mm thanks but didnt work… i wonder whether the locomotive installation
is the cause of the problem!

I’m gonna bet you’ve got conflicts between your Tiger ruby installation
in
/usr/lib/ruby/* and your Locomotive installation. Check your path,
things
like that…

Jay L. |
Boston, MA | My character doesn’t like it when they
Faster: jay at jay dot fm | cry or shout or hit.
http://www.jay.fm | - Kristoffer

Jay L. wrote:

On Mon, 8 Oct 2007 23:53:42 +0200, Magic Rebirth wrote:

mm thanks but didnt work… i wonder whether the locomotive installation
is the cause of the problem!

I’m gonna bet you’ve got conflicts between your Tiger ruby installation
in
/usr/lib/ruby/* and your Locomotive installation. Check your path,
things
like that…

Jay L. |
Boston, MA | My character doesn’t like it when they
Faster: jay at jay dot fm | cry or shout or hit.
http://www.jay.fm | - Kristoffer

I think I’ll give up and get started with locomotive for now…
here’s the .bash_profile

export PATH="/opt/local/bin:$PATH"
export PATH="/usr/local/script:$PATH"
export PATH="/Users/magicrebirth/openmcl/ccl/scripts:$PATH"
export JAVA_HOME="/Library/Java/Home/"
export PATH="/usr/local/bin/:/usr/local/mysql/bin:/usr/local/sbin:$PATH"

the last line should support the ruby installation. I also checked
whether in usr/lib/ i had other ruby folders, but i dont… i’l try to
spend some time on locomotive docs today, as a last resource!

many thanks again - btw your recording studio rocks!

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs